Subject: Re: [PATCH] pmac: Improve sleep code of tumbler driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 11 Apr 2005 18:34:34 +1000

On Mon, 2005-04-11 at 10:18 +0200, Colin Leroy wrote:
> On Mon, 11 Apr 2005 12:00:54 +1000
> Benjamin Herrenschmidt <[email-masked]> wrote:
> 
> > This patch (applies on top of my previous one adding support for newer
> > machines) improves the behaviour of the "tumbler/snapper" driver used
> > on newer PowerMacs during sleep. It properly set the HW mutes to shut
> > down amplifiers and does an analog shutdown of the codec. That might
> > improve power consumption during sleep on a number of machines.
> 
> I suppose it also fixes the occasionnal loud static noise that
> sometimes at wakeup, for example on iBook G4s. Good :)

I don't know, tell me. I didn't know about this problem.

> Btw, do you know where patches land in this time of SCM change, when
> it's not in -mm ?

-mm :) Linus didn't restart merging things yet.

Ben.